module data.base;

import model;
import handy_httpd.components.optional;

interface DataSource {
    PropertiesRepository getPropertiesRepository();
}

interface PropertiesRepository {
    Optional!string findProperty(string propertyName);
    void setProperty(string name, string value);
    void deleteProperty(string name);
    ProfileProperty[] findAll();
}
